package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalJoinMeetingLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalJoinMeetingLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalJoinMeetingLogic {
	return &SignalJoinMeetingLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalJoinMeetingLogic) SignalJoinMeeting(in *rtc.SignalJoinMeetingReq) (*rtc.SignalJoinMeetingResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalJoinMeetingResp{}, nil
}
